import request from '@/plugins/request';

/**
 * @description 分配股权
 * @param {Object} param data {Object} 
 * uid:用户id 
 * initial_share原始股 
 * bonus_share分红股 
 * initial_status 1增加2减少
 * bonus_status 分红股1增加 2减少
 */
export function updateShareholdingRecord (data) {
    return request({
        url: '/stockRights/updateShareholdingRecord',
        method: 'post',
        data
    });
}
/**
 * @description 股东列表
 * @param {Object} param data {Object} uid:用户id
 */
// export function updateShareholdingRecord (data) {
//     return request({
//         url: 'stockRights/updateShareholdingRecord',
//         method: 'get',
//         params: data
//     });
// }

/**
 * @description 添加股东
 * @param {Object} param data {Object} uid:用户id
 */
export function addShareholder (data) {
    return request({
        url: '/stockRights/addShareholder',
        method: 'post',
         data
    });
}

/**
 * @description 删除股东
 * @param {Object} param data {Object} 传值参数 type类型
 */
export function deleteShareholder (data) {
    return request({
        url: '/stockRights/deleteShareholder',
        method: 'post',
        data
    });
}

/**
 * @description 分红发放记录
 * @param {Object} param data {Object} 传值参数 type类型
 */
export function monthShareholderList (data) {
    return request({
        url: '/stockRights/monthShareholderList',
        method: 'get',
        params:data
    });
}

/**
 * @description 分红发放记录详细
 * @param {Object} param data {Object} 传值参数 type类型
 */
export function stocklst (data) {
    return request({
        url: 'stockRights/lst',
        method: 'get',
        params: data,
    });
}

/**
 * @description 股权发放记录
 * @param {Object} param data {Object} 传值参数 type类型
 */
export function userShareholderList (data) {
    return request({
        url: '/stockRights/userShareholderList',
        method: 'get',
        params: data,
    });
}



